# CONTRIBUTING

## Bugs or Suggestions

Just go to the [issues page][1] on Github and open a new issue.  Please include as much detail as possible.

## Code

### Testing

We're using the [nose test runner][2] with the standard `unittest`-based tests.  New pull requests must have passing tests.

### Code Style

* Use [Sublime Lint][3] and fix all warnings.
* Maintain the documentation along with the code!
* Four spaces, no tabs.
* Function names use `snake_case`.
* Class names use `PascalCase`.
* Place string constants in `constants.py`.

### Instructions

1. Go to the [project page][4] on Github
1. Fork the project by clicking the `Fork` button
1. Clone your own copy of the project
1. Make your changes
1. Push your changes back up to Github
1. Submit a Pull Request

Thanks for your help and support!

[1]: https://github.com/lifted-studios/AutoCopyright/issues "Lifted Studios Github Issues"
[2]: https://nose.readthedocs.org/en/latest/                "Nosetest Documentation Page"
[3]: https://github.com/lunixbochs/sublimelint              "Sublime Lint Github Project Page"
[4]: https://github.com/lifted-studios/AutoCopyright        "AutoCopyright Github Project Page"
